2004-05-04  Albert Chu  <chu11@llnl.gov>

	* src/ipmi-kcs-interface.c (ipmi_kcs_write_interruptible,
	ipmi_kcs_cmd_interruptible): Fixed error output corner case.

	* src/ipmi-kcs-interfa.ce (ipmi_kcs_write,
	ipmi_kcs_write_interruptible): Fixed return value bug.  Unlock
	semaphore if a EBUSY failure occurs.
	
2004-04-30  A Balamurugan  <bala.a@californiadigital.com>

	* src/ipmi-lan-param-spec.h:  new file.

	* src/ipmi-serial-modem-param-spec.h: new file.

	* src/Makefile.am: updated.

	* src/freeipmi.h: updated.

	* src/ipmi-cmd-spec.h: code cleanup.

	* src/ipmi-lan-cmds.[ch]: like wise.

	* src/ipmi-serial-cmds.[ch]: like wise.


2004-04-27  Anand Babu  <ab@gnu.org.in>

	CVS tagged as release-0_1_0_alpha5-tag

2004-04-27  Albert Chu  <chu11@llnl.gov>

	* libfreeipmi.spec.in: Fixed packaging issues.
	
2004-04-22  Anand Babu  <ab@gnu.org.in>

	CVS tagged as release-0_1_0_alpha5_qa3-tag


2004-04-19  Albert Chu  <chu11@llnl.gov>

	* src/ipmi-msg-support-cmds.c (fill_cmd_activate_session): Fixed
	endian bug.

2004-04-15  Anand Babu  <ab@gnu.org.in>

	CVS tagged as release-0_1_0_alpha5_qa2-tag
	

2004-04-10  Anand Babu  <ab@gnu.org.in>

	* configure.ac: Mysteriously --enable-trace code dissappeared. 
	Added again.

	* src/ipmi-error.h: ERR macros - check for IPMI_TRACE definition.
	

2004-04-06  Albert Chu  <chu11@llnl.gov>

	* src/ipmi-error.h (ERR_EXIT), src/ipmi-utils.c (ipmi_comp_test):
	Use LOG_FAC & LOG_MAKEPRI with syslog.

	* src/ipmi-chassis-cmds.h (fill_cmd_set_power_restore_policy):
	Added prototype.

	* src/ipmi-chassis-cmds.c (fill_cmd_set_power_restore_policy,
	fill_cmd_get_chassis_status, fill_cmd_chassis_ctrl): Fixed
	function names.  Were previously incorrect or non-consistent with
	other parts of the library.

	* src/ipmi-chassis-cmds.c (ipmi_set_power_restore_policy,
	ipmi_get_chassis_status): Updated with function name changes.
	
2004-04-05  Anand Babu  <ab@gnu.org.in>

	* src/ipmi-error.h: Pass facility argument via LOG_FAC macro to
	LOG_MAKEPRI.

	* src/xmalloc.c: Like wise.
	

2004-04-05  Albert Chu  <chu11@llnl.gov>

	* src/ipmi-error.h (ERR, ERR_EXIT): Fixed errno output bug and
	syslog parameter bug.

	* src/ipmi-utils.c (ipmi_comp_test): Fixed syslog parameter bug.
	
2004-04-05  Anand Babu  <ab@gnu.org.in>

	* configure.ac: added --enable-trace option.

	* src/ipmi-error.h (ERR): display error info only when IPMI_TRACE
	is on.
	

2004-04-05  Anand Babu  <ab@gnu.org.in>

	* src/ipmi-semaphores.h: cleaned up few MACROs.

	* TODO: garbaged done tasks.

	* THANKS: updated.
	

2004-04-01  Albert Chu  <chu11@llnl.gov>

	* src/xmalloc.c: Fixed one additional xmalloc to ipmi_xmalloc bug.


2004-04-01  A Balamurugan  <bala.a@californiadigital.com>

	* src/ipmi-sensor-types.c: added event-reading-code-desc for
	4,5,7,9,10 and 12. Bug #8406 fixed by passing double variables to
	ipmi_sensor_threshold_health_check()
	
	* src/ipmi-utils.c: added new function ipmi_is_root().
	

2004-04-01  Albert Chu  <chu11@llnl.gov>

	* Globally renamed xmalloc to ipmi_xmalloc, xcalloc to
	ipmi_xcalloc, xrealloc to ipmi_xrealloc, xstrdup to ipmi_xstrdup,
	and xfree to ipmi_xfree.

	* libfreeipmi.spec.in: Updated for release changes.

2004-04-01  Albert Chu  <chu11@llnl.gov>

	* src/ipmi-sdr-repo-cache.h: Gave
	IPMI_DEFAULT_SDR_REPO_CACHE_FILENAME different filename value.

	* src/ipmi-semaphore.h: Gave IPMI_IPCKEY different filename value.

	* libfreeipmi.spec.in: Updated for release changes.

2004-03-31  Albert Chu  <chu11@llnl.gov>

	* libfreeipmi.spec.in: Updated for new release.

2004-03-31  Anand Babu  <ab@gnu.org.in>

	* ipckey: new dummy file to install as ftok lock.

	* src/ipmi-semaphores.[c,h]: locking and synchrinization core.

	* src/ipmi-kcs-interface.c: Now supports locking and
	synchronization transparently. 

	CVS tagged as release-0_1_0_alpha5_qa1-tag
	

2004-03-31  A Balamurugan  <bala.a@californiadigital.com>

	* src/fiid.c: new function fiid_obj_set_data().

	* src/ipmi-msg-support-cmds.c: updated fill_kcs_set_user_name()
	and fill_kcs_set_user_password().
	

2004-03-31  A Balamurugan  <bala.a@californiadigital.com>

	* src/fiid.c: fixed a bug in fiid_obj_get_data().
	

2004-03-30  A Balamurugan  <bala.a@californiadigital.com>

	* src/fiid.c: added new function fiid_obj_get_data().
	
	* src/ipmi-kcs-interface.c: fixed a bug in ipmi_kcs_cmd().
	
	* src/ipmi-sdr-repo-cache.c: updated ipmi_sdr_repo_info_write()
	and ipmi_sdr_records_write().
	
	* src/ipmi-sel-record-types.c: updated ipmi_sel_get_first_entry()
	and ipmi_sel_get_next_entry().
	
	* src/ipmi-chassis-cmds.[ch]: complete rewritten with
	ipmi_kcs_cmd().
	
	* src/ipmi-lan-cmds.[ch]: like wise
	
	* src/ipmi-msg-support-cmds.[ch]: like wise
	
	* src/ipmi-sdr-repo-cmds.[ch]: like wise
	
	* src/ipmi-sel-cmds.[ch]: like wise
	
	* src/ipmi-sensor-cmds.[ch]: like wise
	
	* src/ipmi-serial-cmds.[ch]: like wise
	
	* src/ipmi-sol-cmds.[ch]: like wise
	

2004-03-30  Albert Chu  <chu11@llnl.gov>

	* src/ipmi-sdr-repo-cache.c (ipmi_sdr_repo_cache_get_sensor_name):
	New function.
	
2004-03-30  A Balamurugan  <bala.a@californiadigital.com>

	* src/ipmi-sensor-types.c: added new functions
	ipmi_sensor_threshold_health_check() and
	ipmi_sensor_discrete_health_check().
	

2004-03-30  Anand Babu  <ab@gnu.org.in>

	* src/ipmi-kcs-interface.c (ipmi_kcs_cmd): new procedure.

	* src/ipmi-dev-global-cmds.c (ipmi_kcs_get_dev_id): rewritten to
	use ipmi_kcs_cmd.
	

2004-03-29  A Balamurugan  <bala.a@californiadigital.com>

	* src/ipmi-sensor-types.c: renamed
	IPMI_SENSOR_CLASS_DIGITAL_DISCRETE to
	IPMI_SENSOR_CLASS_GENERIC_DISCRETE and IPMI_SENSOR_CLASS_DISCRETE
	to IPMI_SENSOR_CLASS_SENSOR_SPECIFIC_DISCRETE.
	

2004-03-29  Albert Chu  <chu11@llnl.gov>

	* src/ipmi-sdr-repo-cache.c (ipmi_sdr_repo_cache_seek): Modified
	seek algorithm to not re-start at the beginning of the cache if it
	can be avoided.

	* src/ipmi-sensor-types.c (ipmi_sensor_classify): Remove changes
	from 2004-03-26 and go back to original code.  Code was used
	differently than macro names indicated.

2004-03-29  A Balamurugan  <bala.a@californiadigital.com>

	* src/ipmi-sensor-types.c: updated struct
	ipmi_sensor_type_slot_connector.

	
2004-03-29  Anand Babu  <ab@gnu.org.in>

	* src/fiid.h (FIID_OBJ_GET): fixed a critical type casting bug.

	* src/ipmi-dev-global-cmds.c: new definitions for product IDs and
	manifacturer IDs. New device info response template for Intel
	products. 
	

2004-03-29  A Balamurugan  <bala.a@californiadigital.com>

	* src/ipmi-sel-cmds.c: added new functions
	ipmi_kcs_delete_sel_entry() and ipmi_kcs_clear_sel().
	

2004-03-28  A Balamurugan  <bala.a@californiadigital.com>

	* src/ipmi-msg-interface-desc.c: new file.
	
	* src/Makefile.am: updated
	
	* src/freeipmi.h: updated 
	
	* src/ipmi-msg-interface-desc.h: added enum system_software_type.
	
	* src/ipmi-sdr-repo-cache.c: now
	ipmi_is_sensor_reading_available() returns false if
	system_software_id > 0x47.
	
	* src/ipmi-sensor-types.c: added ipmi_sensor_type_threshold_desc
	

2004-03-26  Albert Chu <chu11@llnl.gov>

	* src/ipmi-kcs-interface.c (unassemble_ipmi_kcs_pkt): Fix bug in
	function.  Function now handles packets that may be smaller than
	the user expected.

	* src/ipmi-sensor-cmds.c: Removed reserved3 field from
	tmpl_get_sensor_threshold_reading_rs.  This field is optionally
	returned, not required to be returned.

	* src/ipmi-sensor-types.c (ipmi_sensor_classify): Fix bug in class
	calculation.

	* src/ipmi-sdr-repo-cache.c (ipmi_sdr_repo_cache_sensor_classify):
	Use correct template based on type.
	
2004-03-26  Anand Babu  <ab@gnu.org.in>

	* src/fiid.h (FIID_OBJ_GET): fixed ptr argument bug.

	* src/ipmi-dev-global-cmds.c (ipmi_kcs_get_dev_id): fixed ERR checks.

	* src/ipmi-dev-global-cmds.c: prototype updated.
	
	* Makefile.am: rewrote support for doc/examples.
	
2004-03-25  A Balamurugan  <bala.a@californiadigital.com>

	* src/ipmi-sel-cmds.c: modified function ipmi_kcs_get_sel_entry().

	* src/ipmi-sel-record-types.c: added new function
	ipmi_sel_get_first_entry() and ipmi_sel_get_next_entry().
	
	
2004-03-25  Albert Chu <chu11@llnl.gov>

	* src/ipmi-sdr-repo-cache.h: Removed filename from
	sdr_repo_cache_t structure.  Added
	IPMI_DEFAULT_SDR_REPO_CACHE_FILENAME.

	* src/ipmi-sdr-repo-cache.h, src/ipmi-sdr-repo-cache.c
	(ipmi_sdr_repo_cache_load): Added filename parameter to function.

	* src/ipmi-sdr-repo-cache.h, src/ipmi-sdr-repo-cache.c: Added
	corner case checks to all functions.  Modified return to int from
	u_int8_t in many situations, because return type may be negative.

2004-03-24  A Balamurugan  <bala.a@californiadigital.com>

	* src/ipmi-sel-record-types.c: added new function
	ipmi_get_sel_record_type(), template tmpl_sel_record_header and
	enum ipmi_sel_record_type.
	

2004-03-23  Albert Chu <chu11@llnl.gov>

	* doc/examples/hello-sensors.c
	(display_verbose_current_digital_discrete_sensor_compact_record,
	display_verbose_current_discrete_sensor_compact_record): Fixed
	minor bug in which string name was printed from the wrong address.
	
2004-03-23  Anand Babu  <ab@gnu.org.in>

	* doc/examples/hello-sensors.c: Added Bala's Sensors subsystem
	example code.

	* doc/examples/Makefile: Added a generic make file.

	* doc/Makefile.am: recognize examples folder. Changed
	$(prefix)/doc to $(datadir)/doc now.
	

2004-03-23  A Balamurugan  <bala.a@californiadigital.com>

	* src/ipmi-msg-support-cmds.h: added new macro
	IPMI_PASSWORD_OPERATION_TEST_FAILED.
	

2004-03-22  Albert Chu     <chu11@llnl.gov>

	* libfreeipmi.spec.in: Updated release.
	
2004-03-21  A Balamurugan  <bala.a@californiadigital.com>

	* src/ipmi-chassis-cmds.c: added new function
	ipmi_get_chassis_status().

	* src/ipmi-msg-support-cmds.c: modified function
	ipmi_kcs_set_channel_access().
	

2004-03-20  Albert Chu <chu11@llnl.gov>

	* src/rmcp.c (unassemble_rmcp_pkt): Remove packet size too big
	check.

	* src/ipmi-sessions.c (check_hdr_session_authcode): Fixed numerous
	bugs.

	* src/ipmi-debuc.c (fiid_obj_dump_lan, fiid_obj_dump_rmcp),
	src/ipmi-lan-interface.c (unassemble_ipmi_lan_pkt), src/rmcp.c
	(unassemble_rmcp_pkt): Fix unsigned integer arithmetic bug.

2004-03-19  Albert Chu <chu11@llnl.gov>

	* src/fiid.h, src/fiid.c (fiid_obj_memset): New function.

	* src/ipmi-msg-support-cmds.h: Added
	IPMI_AUTH_STATUS_ANONYMOUS_LOGIN_DISABLED,
	IPMI_AUTH_STATUS_NULL_USERNAMES_DISABLED, and
	IPMI_AUTH_STATUS_NON_NULL_USERNAMES_DISABLED macros.
	IPMI_AUTH_STATUS_ANONYMOUS_LOGIN_ENABLED,
	IPMI_AUTH_STATUS_NULL_USERNAMES_ENABLED, and
	IPMI_AUTH_STATUS_NON_NULL_USERNAMES_ENABLED macros are now bit
	values rather than masks.

	* src/ipmi-sessions.c (check_hdr_session_authcode): Rewritten.
	
	* src/ipmi-msg-support-cmds.h, src/ipmi-msg-support-cmds.c
	(fill_cmd_get_session_challenge): Added username_len parameter.

2004-03-17  Albert Chu <chu11@llnl.gov>

	* src/ipmi-watchdog.c: Re-order template fields and function
	parameter order to be consistent with other parts of libfreeipmi.

	* src/rmcp.c (unassemble_rmcp_pkt): Fixed several corner cases.

	* src/ipmi-debug.h, src/ipmi-debug.c (fiid_obj_dump_rmcp): New
	function.

	* src/fiid.c (fiid_obj_free): Fixed bug in which memory was not
	being freed correctly.

	* src/ipmi-msg-support-cmds.c (ipmi_lan_open_session): Fix bug in
	which u_int32_t * unsafely cast to u_int64_t * with fiid_obj_get.

2004-03-16  Albert Chu <chu11@llnl.gov>

	* src/ipmi-kcs-interface.c (ipmi_kcs_read): Modified to return
	number of bytes read.

	* src/ipmi-kcs-interface.c (ipmi_kcs_write): Modified to return
	number of bytes written.  Added corner case checks.

2004-03-15  Albert Chu <chu11@llnl.gov>

	* src/ipmi-watchdog.h: Changed "ENABLED" and "DISABLED" into
	"ENABLE" and "DISABLE" to be consistent with other .h files.

2004-03-15  Albert Chu <chu11@llnl.gov>

	* src/ipmi-kcs-interface.c (assemble_ipmi_kcs_pkt): Return length
	of packet assembled rather than 0 on success.

	* src/rmcp.c (assemble_rmcp_pkt): Return length of package
	assembled rather than 0 on success.

	* src/rmcp.c (ipmi_rmcp_ping): Modify error checks when calling
	assemble_rmcp_pkt.

	* src/ipmi-dev-glovbal-cmds.c (ipmi_kcs_get_dev_id): Modify error
	checks when calling assemble_ipmi_kcs_pkt.

2004-03-11  Albert Chu <chu11@llnl.gov>

	* src/ipmi-watchdog.h, src/ipmi-watchdog.c: New files.

	* src/ipmi-debug.h: Removed hex_dump prototype.

	* src/freeipmi.h: Added ipmi-watchdog.h.

	* src/Makefile.am: Added ipmi-watchdog.h and ipmi-watchdog.c.

2004-03-10  Albert Chu <chu11@llnl.gov>

	* src/ipmi-error.h, src/ipmi-error.c (ipmi_strerror_cmd_r): New function.

	* src/ipmi-error.h, src/ipmi-error.c (ipmi_strerror_r): Modifed
	function parameters to be more consistent with the libc
	strerror_r.  The new ipmi_strerror_cmd_r function takes the place
	of the old ipmi_strerror_r.
	
	* src/ipmi-utils.c (ipmi_comp_test): Modified to use new
	ipmi_strerror_cmd_r.
	
2004-03-10  A Balamurugan  <bala.a@californiadigital.com>

	* src/ipmi-sensor-utils.c: now ipmi_sensor_decode_value() decodes
	-ve values.
	
2004-03-09  Albert Chu <chu11@llnl.gov>

	* src/ipmi-msg-support-cmds.h: Flipped value of
	IPMI_USER_LEVEL_AUTHENTICATION_ENABLE,
	IPMI_USER_LEVEL_AUTHENTICATION_DISABLE,
	IPMI_PER_MESSAGE_AUTHENTICATION_ENABLE,
	IPMI_PER_MESSAGE_AUTHENTICATION_DISABLE, IPMI_PEF_ALERTING_ENABLE,
	and IPMI_PEF_ALERTING_DISABLE.  The values were backwards from the
	IPMI 1.5 specification.

	* src/ipmi-debug.c (fiid_obj_dump_lan): Fixed bug in which dumps
	were not output based on authcode.

	* src/ipmi-lan-interface.c (unassemble_ipmi_lan_pkt): Fixed bug in
	which incorrectly sized messages were never unassembled.

	* src/ipmi-utils.h (FREEIPMI_MIN): New macro.
	
2004-03-09  Anand Babu  <ab@gnu.org.in>

	* src/ipmi-smic-interface.[ch]: new SMIC driver.

	* src/ipmi-debug.c (ipmi_smic_print_flags): new function.

	* src/ipmi-kcs-interface.c: renamed get_kcs_poll_count () to
	ipmi_kcs_get_poll_count (). Fixed few naming conventions and
	variable types.
	

2004-03-06  Anand Babu  <ab@gnu.org.in>

	CVS tagged as release-0_1_0_alpha4_qa0-tag


2004-03-06  A Balamurugan  <bala.a@californiadigital.com>

	* src/ipmi-msg-support-cmds.c: new function
	ipmi_kcs_get_channel_info() for command Get-Channel-Info.


2004-03-04  A Balamurugan  <bala.a@californiadigital.com>

	* src/ipmi-sdr-repo-cache.c: renamed ipmi_sdr_cache_init() to
	ipmi_sdr_cache_create().  added function
	ipmi_sdr_repo_cache_get_sensor_group().

	* src/ipmi-sensor-types.c: added function ipmi_get_sensor_group().

	* src/ipmi-sensor-utils.c: ipmi_sensor_decode_value() and
	ipmi_sensor_get_decode_params() now handles negative values.
	

2004-03-03  A Balamurugan  <bala.a@californiadigital.com>

	* src/ipmi-sensor-types.c: added new element 'Unknown' in
	ipmi_sensor_types.
	

2004-03-02  Anand Babu  <ab@gnu.org.in>

	* src/ipmi-utils.h: added bool type with safe macro checks.
	
	* src/ipmi-sensor-types.[ch]: fixed unresolved symbol problem and
	naming conventions for ipmi_sensor_types and ipmi_sensor_units*
	definitions.

	* src/ipmi-kcs-interface.c: removed init_kcs_poll_count
	function. kcs_poll_count is a readonly counter.

	* src/ipmi-sensor-types.[c,h]: whole bunch of new definitions and
	tables for discrete and digital-descrete sensors. 
	

2004-03-02  A Balamurugan  <bala.a@californiadigital.com>

	* src/ipmi-sdr-repo-cache.[ch]: new file for SDR Repository Cache
	supported functions.

	* src/ipmi-sensor-utils.[ch]: new file for sensor utility
	functions.

	* src/ipmi-error.h: in macros ERR(expr) and ERR_EXIT(expr) changed
	sprintf to snprintf

	* src/ipmi-sensor-types.c: added functions ipmi_sensor_classify()
	and ipmi_is_oem_reserved_sensor_type().
	

2004-03-02  Albert Chu <chu11@llnl.gov>

	* src/ipmi-sessions.h (IPMI_SESSION_AUTH_TYPE_VALID): Fix corner
	case.

	* src/ipmi-msg-support-cmds.h (IPMI_PRIV_LEVEL_VALID): New macro.

	* src/ipmi-msg-support-cmds.c (fill_cmd_get_channel_auth_caps):
	Added max_priv_level parameter.

	* src/ipmi-msg-support-cmds.c (ipmi_lan_get_channel_auth_caps):
	Modify for change to fill_cmd_get_channel_auth_caps.

	* src/ipmi-msg-support-cmds.c (fill_cmd_get_session_challenge):
	Fix several corner cases.

	* src/ipmi-msg-support-cmds.c (fill_cmd_activate_session): Use new
	IPMI_PRIV_LEVEL_VALID macro.  Fix several corner cases.

	* src/ipmi-msg-support-cmds.c (fill_cmd_set_session_priv_level):
	Use new IPMI_PRIV_LEVEL_VALID macro.
	
2004-03-01  Albert Chu <chu11@llnl.gov>

	* src/ipmi-debug.c (_set_prefix_str, _output_str,
	_output_byte_array): New functions.

	* src/ipmi-debug (fiid_obj_dump_perror, fiid_obj_dump_lan): Use
	new functions _set_prefix_str, _output_str, and
	_output_byte_array.  Fix several output bugs. 

	* src/ipmi-lan-interface.c (ipmi_lan_check_net_fn,
	ipmi_lan_check_rq_seq): Fix input corner case.

	* src/ipmi-msg-support-cmds.h, src/ipmi-msg-support-cmds.c
	(ipmi_check_cmd, ipmi_check_comp_code): New functions.
	
2004-02-29  Albert Chu <chu11@llnl.gov>

	* src/ipmi-debug.h, src/ipmi-debug.c (fiid_obj_dump_perror,
	fiid_obj_dump_lan): New functions.
	
	* src/ipmi-debug.c (fiid_obj_dump): Output to appropriate file
	descriptor.  Use fiid_obj_dump_perror.

	* src/ipmi-lan-interface.c (assemble_ipmi_lan_pkt): Fixed a few
	corner case bugs.

	* src/ipmi-error.h (ERR_OUT): New macro.

2004-02-28  Albert Chu <chu11@llnl.gov>

	* src/ipmi-lan-interface.c (assemble_ipmi_lan_pkt): Use memcpy
	instead of strcpy b/c passwords need not be one word.

	* src/ipmi-lan-interface.h, src/ipmi-lan-interface.c
	(ipmi_lan_check_rq_seq, ipmi_lan_check_net_fn,
	ipmi_lan_check_chksum): New functions.

	* src/ipmi-lan-interface.h, src/ipmi-lan-interface.c
	(ipmi_lan_cmd): Changed auth_code parameter type from char to
	u_int8_t.  Renamed auth_code parameter to auth_code_data.  Added
	auth_code_data_len parameter.  Modified to support more
	authentication types.

	* src/ipmi-msg-support-cmds.h, src/ipmi-msg-support-cmds.c
	(ipmi_lan_get_hannel_auth_caps, ipmi_lan_get_session_challenge,
	ipmi_lan_activate_session, ipmi_lan_set_session_priv_level,
	ipmi_lan_open_session, ipmi_lan_close_session): Changed auth_code
	parameter type from char to u_int8_t.  Renamed auth_code parameter
	to auth_code_data.  Added auth_code_data_len parameter.

	* src/ipmi-msg-support-cmds.c (ipmi_lan_get_channel_auth_caps,
	ipmi_lan_get_session_challenge, ipmi_lan_activate_session,
	ipmi_lan_set_session_priv_level, ipmi_lan_open_session,
	ipmi_lan_close_session): Modified to support change to
	ipmi_lan_cmd().
	
	* src/ipmi-utils.h, src/ipmi-utils.c (ipmi_lan_chksum_test):
	Removed function.

	* src/ipmi-lan-interface.c (ipmi_lan_cmd): Use ipmi_lan_recvfrom
	properly.  Use new ipmi_lan_check_chksum() function.

2004-02-27  Albert Chu <chu11@llnl.gov>

	* src/ipmi-debug.c: Removed various unused and now unnecessary
	functions and macros.

	* src/ipmi-sessions.h, src/ipmi-sessions.c
	(check_hdr_session_authcode, check_hdr_session_session_seq_num,
	check_hdr_session_session_id): New functions.

	* src/ipmi-lan-interface.c (unassemble_ipmi_lan_pkt): Fix md2/md5
	checksum calculations bug.  Add support for
	tmpl_hdr_session_auth_calc template.  
	
2004-02-24  Anand Babu  <ab@gnu.org.in>

	* src/ipmi-sensor-types.c: sensor_unit_type_code_short_str new
	short type codes.
	
2004-02-21  Albert Chu <chu11@llnl.gov>

	* src/ipmi-sessions.h: Added IPMI_SESSION_AUTH_TYPE_VALID macro.

	* src/ipmi-sessions.h, src/ipmi-sessions.c: Added
	tmpl_hdr_session_auth_calc template.

	* src/ipmi-sessions.h, src/ipmi-sessions.c (fill_hdr_session):
	Changed auth_code parameter type from char to u_int8_t.  Renamed
	auth_code parameter to auth_code_data.  Added auth_code_data_len
	parameter.  Use new IPMI_SESSION_AUTH_TYPE_VALID macro.  Added
	support for new tmpl_hdr_session_auth_calc template.

	* src/ipmi-lan-interface.h: Removed IPMI_LAN_PKT_SIZE,
	IPMI_LAN_PKT_RQ_SIZE, and IPMI_LAN_PKT_RS_SIZE macros.  Modified
	IPMI_LAN_PKT_RQ_CHKSUM2_BLOCK_INDX and
	IPMI_LAN_PKT_RS_CHKSUM2_BLOCK_INDX to calculate block indexes
	dependent on the authentication type.

	* src/ipmi-lan-interface.h, src/ipmi-lan-interface.c
	(assemble_ipmi_lan_pkt): Changed return type from int8_t to
	int32_t.

	* src/ipmi-lan-interface.c (_ipmi_lan_pkt_size,
	_ipmi_lan_pkt_rq_size, _ipmi_lan_pkt_rs_size): New functions.

	* src/ipmi-lan-interface.c (assemble_ipmi_lan_pkt,
	unassemble_ipmi_lan_pkt): Re-worked to support
	tmpl_hdr_session_auth_calc session header template and varying
	authentication types, including none, md2, and m5, instead of just
	straight passwd key.

	* src/ipmi-lan-interface.c (ipmi_lan_cmd): Re-worked to use new
	functions.  Will now only work with authentication type none or
	straight passwd key.

	* src/ipmi-error.h (ERR): Add newlines to error outputs.

	* src/ipmi-error.c (ERR_EXIT): New macro.
	
	* src/ipmi-md5.c (_ipmi_md5_append_padding_and_length): Changed
	"else if" to "else" that caused compiler warning.

	* src/ipmi-utils.h, src/ipmi-utils.c (ipmi_lan_chksum_test): Added
	auth_type parameter.

	* src/ipmi-utils.c (ipmi_lan_chksum_test): Modified to support
	checksum checks of multiple authentication types.
	
2004-02-18  Anand Babu  <ab@gnu.org.in>

	* QA-RELEASE: freeipmi-0.1.0-alpha3-qa0 release. Will TAG CVS after
	passing QA. Downloads will be available from 
	ftp://ftp.californiadigital.com/pub/freeipmi/
	
2004-02-17  Albert Chu <chu11@llnl.gov>

	* Tagged current repository state libfreeipmi-0-0-0-0-alpha2.

	* libfreeipmi.spec.in: Updated release and changed refresh to
	autogen.  Added /usr/doc files.

	* BUGS: New file.
	
2004-02-16  A Balamurugan  <bala.a@californiadigital.com>

	* src/bits-ops.c: bits_merge msb/lsb bug fixed.
	
	* src/ipmi-lan-cmds.c: modified fiid template for
	kcs_lan_set_auth_type_enables.
	
	* src/ipmi-msg-support-cmds.c: fixed wrong command macro to
	IPMI_CMD_GET_USER_ACCESS_CMD in ipmi_kcs_get_user_access().
	
	* src/ipmi-msg-support-cmds.h: added macros
	IPMI_PRIV_LEVEL_NO_ACCESS, IPMI_CHANNEL_ACCESS_GET_NON_VOLATILE
	and IPMI_CHANNEL_ACCESS_GET_VOLATILE.
	
	* src/ipmi-serial-cmds.h: added missing 'parameter_selector' in
	tmpl_set_serial_conf_param_connmode_rq,
	tmpl_set_serial_conf_param_pageblackout_rq,
	tmpl_set_serial_conf_param_retry_rq and
	tmpl_set_serial_conf_param_commbits_rq.

	* src/ipmi-serial-cmds.h: added macros
	IPMI_SERIAL_CONF_GET_PARAMETER and
	IPMI_SERIAL_CONF_GET_PARAMETER_REVISION.
	

2004-02-15  Anand Babu  <ab@gnu.org.in>

	* src/ipmi-kcs-interface.c: changed return type to int from void
	for ipmi_kcs_io_init ().
	

2004-02-13  A Balamurugan  <bala.a@californiadigital.com>
	
	* src/ipmi-kcs-interface.c: add new ipmi_kcs_sleep_usecs and
	kcs_poll_count control variables.  Add new functions
	init_kcs_poll_count(), get_kcs_poll_count() and
	fill_hdr_ipmi_kcs().
	

2004-02-13  Ian Zimmerman <itz@californiadigital.com>

	* src/Makefile.am: add new files ipmi-serial-cmds.[ch]

	* src/ipmi-serial-cmds.c: new file

	* src/ipmi-serial-cmds.h: new file

	* src/ipmi-msg-support.c, src/ipmi-msg-support.h: add new commands to
	be used in bmcconfig
	
	* src/ipmi-lan-cmds.c, src/ipmi-lan-cmds.h: add new commands to
	be used in bmcconfig
	

2004-02-13  Albert Chu  <chu11@llnl.gov>

	* src/ipmi-md2.h, src/ipmi-md2.c, src/ipmi-md5.h, src/ipmi-md5.c:
	New files.

	* src/freeipmi.h, src/Makefile.am: Updated for new files.

2004-02-11  Anand Babu  <ab@gnu.org.in>

	* ipmi-sensor-types.c: new file. Sensor type strings.
	

2004-02-10  Anand Babu  <ab@gnu.org.in>

	* src/fiid.[c,h]: fiid_obj_alloc now uses xcalloc. new
	FIID_OBJ_SET/GET, FIID_OBJ_ALLOC, FIID_OBJ_ALLOCA
	macros. fiid_obj_t becomes fiid_template_t and fiid_obj_t
	redefined as u_int8_t *. new function fiid_obj_field_lookup.
	Patch from Bala <bala.a@californiadigital.com> - added
	functions/macros to create dynamic fiid templates
	fiid_template_make(), __fiid_template_make(),
	fiid_template_free(). 

	* src/ipmi-lan-interface.c: rewritten from scratch - easier,
	cleaner and layered. Now supports new fiid model. 

	* src/ipmi-dev-global-cmds.c: ported to fiid model.

	* src/rmcp.h: removed obsolete macros. New function ipmi_comp_test.

	* src/rmcp.c: rewritten to support new fiid model + enhancements.

	* src/ipmi-debug.c: removed struct based display routines. Needs more
	discusion on the mailing list.

	* src/ipmi-msg-cmds.h: removed from CVS - dependent on struct
	fields. Framework has changed, new implementation will go into
	appropriate files. More discussion on the mailing list.

	* src/smbios.h, src/smbios.c: uniform naming convention changes.

	* src/ipmi-utils.c: ipmi_lan_chksum_test now valides both chksum1
	and chksum2. ipmi_strerr_r now accepts fiid_obj_t and returns
	comp_code. New function ipmi_input_timeout.

	* src/xmalloc.c: syslog upon allocation failure and set errno to
	ENOMEM. new xfree call.

	* src/ipmi-error.h: libfreeipmi only ERR macro to log and return
	upon failure.

	* src/ipmi-sdr-record-types.[c,h]: New file - SDR record
	types. Patch from Bala <bala.a@californiadigital.com>

	* src/ipmi-sdr-repo-cmds.[c,h]: New file - SDR commands - Get
	Repository Info, Get SDR Repository Allocation Info, Reserve SDR 
	Repository and Get SDR. Patch from Bala
	<bala.a@californiadigital.com>. Replaced function prefix from
	ipmi_sdr_ to ipmi_kcs_.

	* src/ipmi-sensor-cmds.[c,h]: New file - Sensor commands - Get
	Device SDR Info, Get Device SDR, Reserve Device SDR Repository,
	Get Sensor Reading Factors, Set Sensor Hysteresis, Get Sensor
	Hysteresis, Set Sensor Threshold, Sensor Threshold, Set Sensor
	Event Enable, Get Sensor Event Status, Sensor Reading, Sensor
	Type, Get Sensor Type. Patch from Bala
	<bala.a@californiadigital.com>. Replaced function prefix from
	ipmi_snsr_ to ipmi_kcs_

	* src/ipmi-sensor-types.h: New file - Sensor types and Sensor unit
	types. Patch from Bala <bala.a@californiadigital.com>.

	* src/ipmi-sel-cmds.[c,h]: New file - SEL subsystem.
	Patch from Bala <bala.a@californiadigital.com>.

	* src/ipmi-sel-record-types.[c,h]: New file - SEL subsystem.
	Patch from Bala <bala.a@californiadigital.com>.

	* src/ipmi-msg-support-cmds.c: completly rewritten from
	scratch. All new APIs and functionalities.

	* src/smbios.c: copy_impi_dev_info(...) initialized *result to
	NULL. 

	* TODO: updated

	* AUTHORS: added Ian Zimmerman <itz@californiadigital.com> and
	Balamurugan <bala.a@californiadigital.com>

	
2003-12-24  Anand Babu  <ab@gnu.org.in>

	* src/ipmi-kcs-interface.c, src/ipmi-dev-global-cmds.c,
	src/fiid.c: fixed serious bugs. All lengths are represented as
	bytes at the top level. bit-level len is abstracted. 


2003-12-23  Anand Babu  <ab@gnu.org.in>

	* src/ipmi-kcs-interface.c: fixed fiid_alloc allocation size bug
	reported by Ian <itz@californiadigital.com>. 
	
	* src/ipmi-dev-global-cmds.c: fixed memory freeing bug reported by
	Al <chu11@llnl.gov>
	* src/smbios.c, src/smbios.h: integrated Ian's  SMBIOS probe
	functionality.
	
	* libfreeipmi: merged with old savannah code base. LAN-fiid in
	next commit.


2003-12-21  Anand Babu  <ab@gnu.org.in>

	* src/fiid.c: new FreeIPMI Interface Definition framework jointly
	developed by Bala <bala.a@californiadigital.com> and myself.
	
	* src/bit-ops.[c,h]: rich set of BIT manipulation
	macros and functions.
	
	* src/ipmi-kcs-interface.c: ported to new FIID framework. Now
	accepts port from user.
	* src/ipmi-dev-global-cmds.c: ported to new FIID framework.


2003-12-14  Anand Babu  <ab@gnu.org.in>

	* src/ipmi-kcs-interface.c, src/ipmi-kcs-interface.c: new kcs init
	macro. New _INB, _OUTB portable macros. Complete interface change
	to accept port probed by the driver dynamically.

	* src/ipmi-debug.c: new function to print kcs register state.

	* src/ipmi-lan-interface.c: replaced alloca with xmalloc. alloca
	is also ok as long as we do not allocate beyond the stack
	rlimit. Portability is not a big concern, __builtin_alloca works
	with little performance penalty.

	* src/xmalloc.c: split into header and source.

	* src/freeipmi.h: includes system.h and xmalloc.h


2003-12-08  Anand Babu  <ab@gnu.org.in>

	* src/ipmi-kcs-interface.c, src/ipmi-kcs-interface.c: new
	user-space inband KCS driver.

	* src/ipmi-error.h: new kcs status code definitions.

	* src/ipmi-error.c: new kcs status code str error
	function. Split ERR_RET macro to _ERR and _ERR_RET. Fixed
	"unspecified control code" return 0 bug.
	

2003-12-03  Albert Chu  <chu11@llnl.gov>

	* src/ipmi-lan-interface.h, src/ipmi-lan-interface.c
	(assemble_ipmi_lan_pre_session_rq_pkt, assemble_ipmi_lan_rq_pkt):
	net_fn_t parameter type split into u_int8_t net_fn and u_int8_t
	lun parameters.  Added net_fn parameter check.

	* src/ipmi-msg-cmds.h: Made all macros upper case and prefixed
	with "IPMI_" to avoid potential name space pollution.

	* src/rmcp.h: Made all macros upper case and prefixed with "RMCP_"
	to avoid potential name space pollution.  Renamed many macros
	based on the wierdness of the resulting macro name.

	* src/ipmi-msg-support-cmds.h: Modified struct
	ipmi_cmd_get_channel_auth_caps_rs "anonymous_login:3" field to be
	three one-bit fields.

	* src/ipmi-msg-cmds.h (IPMI_ANONYMOUS_LOGIN_ENABLED,
	IPMI_NULL_USERNAMES_ENABLED, IPMI_NON_NULL_USERNAMES_ENABLED):
	Modified for change in struct ipmi_cmd_get_channel_auth_caps_rs.

	
2003-12-02  Anand Babu  <ab@gnu.org.in>

	* src/ipmi-lan-core.c, src/ipmi-lan-core.h: removed. Related code moved to
	ipmi-lan-interface.{c,h}. 
	
	* src/ipmi-msg-support.h: moved net_fn_t to ipmi-netfn-spec.h. Renamed
	ipmi_msg_rq and ipmi_msg_rs as ipmi_lan_msg_rq and ipmi_lan_msg_rs
	to ipmi_lan_interface.{c,h}. Removed ipmi_session_t and
	ipmi_lan_msg_rq_t headers from all commands. Replaced struct
	anonymous_login with u_int8_t:3 for packing. Added
	anonymous_login_status macro definitions. All functions and
	structs will deal only the command part from now on.
	
	* src/ipmi-chassis-cmds.h: Removed ipmi_session_t and
	ipmi_lan_msg_rq_t headers from all commands.
	
	* src/ipmi-kcs-interface.c, src/ipmi-kcs-interface.c: new BMC SMS
		interface for inband userspace communication.
	
	* src/ipmi-sessions.c, src/ipmi-sessions.h: moved sessions related code
	from ipmi-msg-support-cmds.h
	
	* src/ipmi-utils.c: 2 new functions ipmi_lan_pre_session_chksum_test,
	ipmi_lan_chksum_test.
	
	* src/ipmi-debug.c: broken. Needs rework for the new interface.
	
	* src/rmcp.c: swapped msg_tag and presence_pong.
	
	* refresh: renamed to autogen.sh. Thanks to Ben Woodard
	<bwoodard@llnl.gov>.
	
	
2003-11-28  Albert Chu  <chu11@llnl.gov>

	* src/rmcp.h: Added RMCP_ASF_PRESENCE_PONG_MESSAGE_TAG_MAX macro.
	Added several more helper macros.

	* src/rmcp.h, src/rmcp.c (rmcp_asf_presence_ping): Added
	message_tag parameter.  Parameter check also ensures tag is within
	range.

	* src/rmcp.h, src/rmcp.c (rmcp_hdr): New function.  

	* src/rmcp.c (rmcp_ipmi_hdr, rmcp_asf_hdr): Modified functions to
	use new rmcp_hdr function.

	* Tagged current repository state libfreeipmi-0-0-0-0-alpha1.

	
2003-11-26  Albert Chu  <chu11@llnl.gov>

	* src/ipmi-debug.c (rmcp_hdr_dump): Added missing dump fields.

	* src/ipmi-debug.c: Cast all checksum output to unsigned char, to
	avoid sign extended output.

	
2003-11-26  Albert Chu  <chu11@llnl.gov>

	* libfreeipmi.spec.in: Made release 0.alpha0.

	* Tagged current repository state libfreeipmi-0-0-0-0-alpha0.

	
2003-11-25  Albert Chu  <chu11@llnl.gov>

	* src/ipmi-debug.c: Removed IPMI_DEBUG_FD_OK macro and all fd
	parameter checks.  File descriptor error checks will now fall
        through to write().
	

2003-11-24  Albert Chu  <chu11@llnl.gov>

	Various Cleanup fixes

	* src/ipmi-msg-cmds.h (check_slave_netfn_checksum,
	check_data_checksum): Added (u_int8_t *) cast to remove compiler
	warnings.

	* src/ipmi-debug.h: Renamed IPMI_DEBUG_DEFAULT_FILE to
	IPMI_DEBUG_DEFAULT_FD and use STDERR_FILENO instead of 2.  Added
	include of unistd.h for STDERR_FILENO definition.

	* src/ipmi-debug.c: Globally fixed debugging output alignment
	issues and output issues.

	* src/ipmi-chassis-cmds.h, src/ipmi-chassis-cmds.c,
	src/ipmi-msg-cmds.h, src/ipmi-debug.h, src/ipmi-debug.c: "chassis
	status" command is actually called "get chassis status" in the
	ipmi specification.  Globally renamed everything around this fact.
	

2003-11-21  Albert Chu  <chu11@llnl.gov>

	RMCP Changes
	
	* src/rmcp.h, src/rmcp.c (rmcp_ipmi_hdr, rmcp_asf_hdr): New
	functions, for consistency with ipmi functions.
	
	* src/rmcp.h: Modified struct rmcp_hdr to be more consistent with
	style of other packet structures.  Removed numerous macros that
	should not longer be used because of new rmcp_ipmi_hdr and
	rmcp_asf_hdr functions.  Modified
	RMCP_HDR_MSG_CLASS_BIT_RMCP_NORMAL and
	RMCP_HDR_MSG_CLASS_BIT_RMCP_ACK constants for consistency.  Added
	numerous new macros to be consistent with style in
	ipmi-msg-cmds.h.

	Packing fixes

	* src/rmcp.h, src/ipmi-chassis-cmds.h,
	src/ipmi-msg-support-cmds.h: Added #pragma pack(0) to the bottom
	of the structure definitions.

	Misc

	* configure.ac: Added checks for sys/bitypes.h and sys/inttypes.h.
	
2003-11-20  Albert Chu  <chu11@llnl.gov>

	LAN Core fixes
	
	* src/ipmi-lan-core.c (ipmi_sendto, ipmi_recvfrom): Fixed bug in
	which IPMI Lan packet padding incorrectly used.

	* src/ipmi-lan-core.c (ipmi_sendto, ipmi_recvfrom): Return length
	of ipmi buffer sent or received, not the combined length of the
	rmcp buffer and ipmi buffer.

	Checksums

	* src/ipmi-utils.h, src/ipmi-utils.c (ipmi_chksum_test): New
	function.

	* src/ipmi-utils.c (ipmi_chksum): Added parameter checks.  Removed
	inline function declaration.

	* src/ipmi-msg-cmds.h: Added checksum macros.

	Misc

	* src/rmcp.c (rmcp_asf_presence_ping): Wrapped
	RMCP_ASF_IANA_ENTERPRISE_NUM within htonl, because rmcp is
	supposed to be big endian.
	
	* libfreeipmi.spec.in: Made initial changes to make this spec file
	work.
	
2003-11-19  Albert Chu  <chu11@llnl.gov>

	* src/ipmi-debug.h, src/ipmi-debug.c: Added verbose flags to
	functions to indicate raw or verbose dumps.  Internally, many
	changes were made to the code and most of the file was re-written.

	* src/ipmi-msg-cmds.h: New file with all ipmi message command
	macros.

	* src/ipmi-msg-support-cmds.h, src/ipmi-chassis-cmds.h: Moved
	macros to ipmi-msg-cmds.h.

	* src/freeipmi.h: Added ipmi-msg-cmds.h.

	* src/Makefile.am: Added ipmi-msg-cmds.h.

	* src/ipmi-lan-core.h, src/ipmi-lan-core.c (ipmi_sendto,
	ipmi_recvfrom): Changed socklen_t to unsigned int, to fix
	potential port issues.
	
	* TODO: Updated TODO list.

	* acinclude.m4: Added TYPE_SOCKLEN_T check.

	* configure.ac: Added socklen_t, stdarg.h, and varargs.h checks.

2003-11-18  Albert Chu  <chu11@llnl.gov>

	Debug fixes

	* src/ipmi-debug.h: Added IPMI_DEBUG_DEFAULT_FILE constant.

	* src/ipmi-debug.c (_dprintf, _write): New functions.

	* src/ipmi-debug.h, src/ipmi-debug.c: Added fd argument to all
	functions to specify fd to write to.  Rewrote all functions to use
	_dprintf to write debug data to file descriptor rather than
	stderr.

	Lan core fixes

	* src/ipmi-lan-core.c (ipmi_sendto_host): Added parameter check.

	* src/ipmi-lan-core.c (ipmi_recvfrom): Added parameter checks,
	buffer overflow checks, error check on alloca, and corner case
	check on recvfrom.

	IPMI packet creation fixes/changes

	* src/ipmi-msg-support.h: Split anonymous_login field in struct
	ipmi_get_channel_auth_caps_rs into bit fields for specific status
	info.

	* src/ipmi-debug.c (ipmi_get_channel_auth_caps_rs_dump): Updated
	for above changes.
	
	* src/ipmi-chassis-cmds.h: Renamed all chassis status response
	macros to more readable and make more sense.  Removed the
	ipmi_chassis_status_restore_policy macro.  Renamed
	IPMI_CHASSIS_STATUS_RESTORE_POLICY_POWER_ON to
	IPMI_CHASSIS_STATUS_RESTORE_POLICY_POWER_UP.

	* src/ipmi-msg-support-cmds.h: Added get_channel_auth_caps
	response macros.

	* src/ipmi-msg-support-cmds.h: Added generic response message
	macros.
	
	Misc

	* src/ipmi-msg-support.h: Renamed _IPMI_MESG_SUPPORT_CMDS_H to
	_IPMI_MSG_SUPPORT_CMDS_H.
	
	* src/ipmi-sessions.h: Renamed _IPMI_MESG_SUPPORT_CMDS_H to
	_IPMI_SESSIONS_H.

	* configure.ac: Added --enable-debug option.

2003-11-17  Albert Chu  <chu11@llnl.gov>

	* refresh: Added libtoolize into the configuration.

	* config.sub, config.guess, depcomp, install-sh, ltmain.sh,
	missing, mkinstalldirs: Removed files, they are handled by the
	update to refresh.

	* src/ipmi-chassis-cmds.h: Added
	IPMI_CHASSIS_STATUS_RESTORE_POLICY constants, as per sectoin 22.2
	of the IPMI v1.5 specification.  Added macros to get and test all
	of the status information from a chassis status response.

	* AUTHORS: Garlic with a 'K' :P

2003-11-17  Anand Babu  <ab@gnu.org.in>

	* TODO: updated ab's section
	
	* AUTHORS: Added Jim Garlick
	
	* INSTALL: added ./refresh execution
	
	* THANKS: added LLNL
	
	* Makefile.in, src/Makefile.in, config.h.in, doc/Makefile.in,
	configure, aclocal.m4: removed from CVS
	* doc/libfreeipmi.texinfo: moved to freeipmi-hg.texinfo and
	cleaned up 
	
	* doc/authors.texinfo: new
	
	* doc/gpl.texinfo: removed
	
	* www: updated http://www.nongnu.org/freeipmi/ home page

	
2003-11-17   Albert Chu  <chu11@llnl.gov>

	* src/ipmi-debug.h, src/ipmi-debug.c: New files.
	
	* src/ipmi-msg-support-cmds.h: Split max_priv_level field in
	struct ipmi_get_channel_auth_caps_rq and new_priv_level field in
	struct ipmi_set_session_priv_level_rs into privilege and reserved
	fields, to be more consistent with other privilege field
	definitions in other packet types.

	* src/ipmi-chassis-cmds.h: Renamed fields in struct
	ipmi_chassis_status_rs.

	* src/ipmi-msg-support-msgs.h: Renamed fields in struct
	ipmi_get_channel_auth_caps_rs.

	* src/rmcp.h, src/rmcp.c (display_rmcp_asf_presence_pong,
	display_rmcp_hdr): Removed functions, replaced with debug
	functions in ipmi-debug.h and ipmi-debug.c.

	* src/rmcp.h: Renamed reserved field to reserved1, renamed
	reserved_1 field to reserved2, and modified supported_entities
	field in struct rmcp_asf_presence_pong to have consistent style to
	ipmi packet structures.

	* src/rmcp.h, src/rmcp.c (rmcp_asf_presence_ping): Changed return
	type to int and checked for proper parameters.

	* src/rmcp.c: Removed inclusion of error.h and netinet/in.h.
	Added inclusion of errno.h.

	* src/freeipmi.h: Add new header file.  Added missing
	ipmi-netfn-spec.h header file.


2003-11-16   Albert Chu  <chu11@llnl.gov>

	* src/ipmi-msg-support-cmds.h: Renamed struct ipmi_rq_msg seq
	field to rq_seq, to have consistent naming with ipmi_rs_msg rq_seq
	field.

	* src/ipmi-chassis-cmds.h, src/ipmi-chassis-cmds.c
	(ipmi_chassis_ctrl_rq, ipmi_chassis_status_rq): Made field name
	changes.

	* src/ipmi-msg-support-cmds.h, src/ipmi-msg-support-cmds.c
	(ipmi_get_channel_auth_caps_rq, ipmi_get_session_challenge_rq,
	ipmi_activate_session_rq, ipmi_set_session_priv_level_rq,
	ipmi_close_session_rq): Made field name changes.

	* src/ipmi-msg-support-cmds.h: Modified struct
	ipmi_get_channel_auth_caps_rs auth_status field to explicitly list
	all status bit types.  Modified oem_id field to be a array of
	u_int8_t types instead of a u_int32_t type aligned on 24 bits.
	Created an IPMI_OEM_ID_LEN macro for the oem_id length.
	
2003-11-16   Albert Chu  <chu11@llnl.gov>

	IPMI packet creation fixes

	* src/ipmi-chassis-cmds.h, src/ipmi-chassis-cmds.c
	(ipmi_chassis_status_rq): Fixed bug with lun parameter being set
	incorrectly.
	
	* src/ipmi-chassis-cmds.h, src/ipmi-chassis-cmds.c
	(ipmi_chassis_ctrl_rq, ipmi_chassis_status_rq): Changed return
	code from u_int8_t to int.  Return -1 on parameter errors and set
	errno appropriately.

	* src/ipmi-msg-support-cmds.h, src/ipmi-msg-support-cmds.c
	(ipmi_get_channel_auth_caps_rq, ipmi_get_session_challenge_rq,
	ipmi_activate_session_rq, ipmi_set_session_priv_level_rq,
	ipmi_close_session_rq): Changed return code from u_int8_t to int.
	Return -1 on parameter errors and set errno appropriately.

	Error handling fixes

	* src/ipmi-errno.h, src/ipmi-errno.c: Renamed to ipmi-error.h and
	ipmi-error.c respectively.

	* src/ipmi-error.h: Removed ipmi_errno_t type.

	* src/ipmi-error.c: Removed ipmi_errno global variable
	
	* src/ipmi-error.c (ERANGE_CHECK): Fixed bug with ERANGE_CHECK
	macro, which incorrectly returns ERANGE, should actually set errno
	then return -1.  Removed ERANGE_CHECK macro and moved code in
	ERR_RET since it was only used in there.
 	
	* src/ipmi-error.c (ERR_RET): Fixed bug, should use strlen on
	errdesc string length, not errstr buffer.
	
	* src/ipmi-error.c (ipmi_strerror_r): Fixed bug which incorrecly
	returned EINVAL on error, should set errno to EINVAL and return
	-1.  Use ERR_RET on completion code error string to avoid buffer
	overflow.
	
	Misc

	* src/ipmi-msg-support-cmds.h, src/ipmi-netfn-spec.h: Moved
	network function codes from ipmi-msg-support.h to new
	ipmi-netfn-spec.h.

	* src/ipmi-msg-support-cmds.h, src/ipmi-chassis-cmds.h: Moved
	chassis control macros from ipmi-msg-support-cmds.h to
	ipmi-chassis-cmds.h.

	* src/ipmi-msg-support-cmds.h: IPMI_SESSION_AUTH_TYPE_NONE defined
	twice, removed one of them.

	* srd/freeipmi.h: Updated with new header files.

	
2003-11-15   Albert Chu  <chu11@llnl.gov>

	Fixed ipmi_sendto framework as discussed in e-mails

	* src/ipmi-lan-core.h, src/ipmi-lan-core.c (ipmi_sendto): Changed
	API to more resemble sendto.  Removed sockaddr_in construction
	code.  Added parameter checks and error check on alloca.  Modified
	call to sendto and return value based on varying sendto return
	values.

	* src/ipmi-lan-core.h, src/ipmi-lan-core.c (ipmi_sendto_host): New
	function to handle old ipmi_sendto functionality.

	IPMI packet creation fixes

	* src/ipmi-chassis-cmds.h, src/ipmi-chassis-cmds.c
	(ipmi_chassis_ctrl_rq): Added auth_code_len parameter to function.
	Memcpy auth_code buffer based on new parameter.

	Added Chassis Status Command

	* src/ipmi-msg-support-cmds.h: Added ipmi_chassis_status_rq_t and
	ipmi_chassis_status_rs_t types

	* src/ipmi-msg-support-cmds.h, src/ipmi-msg-support-cmds.c
	(ipmi_set_chassis_status_rq): New function.
	
	Misc
	
	* src/ipmi-chassis-cmds.h: Added #pragma pack(1). 

	* src/ipmi-msg-support-cmds.h: Removed htonl on
	IPMI_INITIAL_OUTBOUND_SEQ_NUM.  Removed htonl comments.

	* src/ipmi-chassis-cmds.c, src/ipmi-msg-support-cmds.c: Removed
	#include <netinet/in.h>, no longer necessary due to above change.

	
2003-11-14  Albert Chu  <chu11@llnl.gov>

	IPMI packet creation fixes

	* src/ipmi-msg-support-cmds.h, src/ipmi-msg-support-cmds.c
	(ipmi_get_channel_auth_caps_rq, ipmi_get_session_challenge_rq,
	ipmi_activate_session_rq): Added rq_seq parameter to function.
	Set requester sequence number fields to rq_seq parameter rather
	0x00.
	
	* src/ipmi-msg-support-cmds.h, src/ipmi-msg-support-cmds.c
        (ipmi_get_session_challenge_rq): Added username_len parameter.
	Memcpy username buffer based on new parameter.

        * src/ipmi-msg-support-cmds.h, src/ipmi-msg-support-cmds.c
        (ipmi_activate_session_rq, ipmi_set_session_priv_level_rq,
	ipmi_chassis_ctrl_rq, ipmi_close_session_rq): Added auth_code_len
	parameter to function.  Memcpy auth_code buffer based on new
	parameter.
	
	* src/ipmi-msg-support-cmds.h, src/ipmi-msg-support-cmds.c
	(ipmi_activate_session_rq): Added challenge_str_len parameter.
	Memcpy challenge_str buffer based on new parameter.

	Minor fixes

	* src/rmcp.c (display_rmcp_hdr): Added dump of reserved field.

        * src/ipmi-msg-support-cmds.h: Modified
	IPMI_INITIAL_OUTBOUND_SEQ_NUM to explicitly be a 32 bit number,
	because outbound sequence numbers are 32 bits.
	
	Misc

	* AUTHORS: Added me :-)

	
2003-11-14  Anand Babu  <ab@gnu.org.in>

	* src/ipmi-chassis.c: new file, moved chassis control command and
	defns to here.
	
	* src/ipmi-msg-support-cmds.c: rs_lun is now passed as arg. Fixed
	inbound_seq_num bug. Thanks to Albert Chu <chu11@llnl.gov> for
	reporting varoious enhancements and bugs. Macro IPMI_DEFAULT_LUN
	removed. Use IPMI_BMC_IPMB_LUN_BMC instead.
	
	* src/ipmi-ipmb-interface.h: new file, added new IPMI definitions.

	
2003-11-10  Anand Babu  <ab@gnu.org.in>

	* src/ipmi-lan-core.c: rewrote ipmi_sendto and ipmi_recvfrom.
	
	* src/ipmi-msg-support-cmds.h: rmcp_hdr_t separated from all
	structures. Also structures are checksum friendly.
	
	* src/ipmi-msg-support-cmds.c: new functions -
	ipmi_get_channel_auth_caps_rq, ipmi_get_session_challenge_rq,
	ipmi_activate_session_rq, ipmi_set_session_priv_level_rq,
	ipmi_chassis_ctrl_rq, close_session_rq and corresponding
	request/response structures/macros.
	
	* src/rmcp.h: new macro for rmcp header values.
	
	* src/freeipmi.h: #pragma pack(1) moved to respective files, where
	ever required. Removed verbose flag handling, we need to be thread
	safe.
	
	* src/ipmi-errno.h: added new command specific codes. Removed
	FI_PERROR.
	
	* src/ipmi-cmd-spec.h: added new definitions for network functions
	
	* libfreeipmi: this checkin freezes core framework for LAN for
	now. Major facelift through out the code and are not logged here.

	
2003-10-28  Anand Babu  <ab@gnu.org.in>

	* src/lfi-utils.[c,h]: removed
	
	* src/ipmi-utils.[c,h]: replaced lfi-utils
	
	* src/ipmi-cmd-spec.h: new file, IPMI command definitions
	
	* src/ipmi-errno.[c,h]: new file, IPMI error handler
	
	* src/ipmi-msg-support-cmds.[c,h]: new file, IPMI message support
	functions
	
	* src/ipmi-lan-core.[c,h]: new file, core lan functions
	

2003-09-22  Anand Babu  <ab@gnu.org.in>

	* libfreeipmi: checking into savannah.gnu.org
	

2002-10-09  Anand Babu  <ab@gnu.org.in>

	* libfreeipmi: initial version.

---------------------------------------------------------------------
Do not add anything here. All your logs should be added to beginning 
of the file. 

GUIDELINES:
* RUN 'make distclean' BEFORE YOU COMMIT.
* CHANGELOG HEADER FORMAT EXAMPLE:
EXAMPLE BEGIN
2002-10-29  Anand Babu  <ab@gnu.org.in>

	* ChangeLog: added guidelines

	
EXAMPLE END

